Update a Bridge integration
curl --request PATCH \
--url https://api.reconlayer.com/v1/bridge-integrations/{bridgeIntegrationId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"apiKey": "<string>",
"webhookBaseUrl": "<string>",
"eventCategories": [],
"pollingEnabled": true
}
'import requests
url = "https://api.reconlayer.com/v1/bridge-integrations/{bridgeIntegrationId}"
payload = {
"name": "<string>",
"apiKey": "<string>",
"webhookBaseUrl": "<string>",
"eventCategories": [],
"pollingEnabled": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
apiKey: '<string>',
webhookBaseUrl: '<string>',
eventCategories: [],
pollingEnabled: true
})
};
fetch('https://api.reconlayer.com/v1/bridge-integrations/{bridgeIntegrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"integrationKey": "<string>",
"webhookId": "<string>",
"webhookUrl": "<string>",
"eventCategories": [],
"hasApiKey": true,
"lastTransferSyncedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"issues": [
{}
],
"details": {},
"upstreamStatus": 123
}{
"error": "<string>",
"message": "<string>",
"issues": [
{}
],
"details": {},
"upstreamStatus": 123
}{
"error": "<string>",
"message": "<string>",
"issues": [
{}
],
"details": {},
"upstreamStatus": 123
}๐ Integrations & API Keys
Update a Bridge integration
PATCH
/
v1
/
bridge-integrations
/
{bridgeIntegrationId}
Update a Bridge integration
Headers
Minimum string length:
1Minimum string length:
1Path Parameters
Minimum string length:
1Body
application/json
Minimum string length:
1Minimum string length:
1Minimum array length:
1Available options:
customer, kyc_link, liquidation_address.drain, static_memo.activity, transfer, virtual_account.activity, bridge_wallet.activity, card_account, card_transaction, card_withdrawal, posted_card_account_transaction, external_account Response
Default Response
Available options:
disabled, active, deleted Available options:
customer, kyc_link, liquidation_address.drain, static_memo.activity, transfer, virtual_account.activity, bridge_wallet.activity, card_account, card_transaction, card_withdrawal, posted_card_account_transaction, external_account Available options:
true โI
